﻿
.bm-container {
	display: none;
	align-items: center;
	justify-content: center;
	position: fixed;
	width: 100%;
	height: 100%;
	z-index: 1002;
}

.bm-overlay {
	display: block;
	position: fixed;
	width: 100%;
	height: 100%;
	z-index: 1003;
	background-color: rgba(0,0,0,0.5);
}

.bm-busy {
	display: block;
	position: fixed;
	width: 100%;
	height: 100%;
	z-index: 1005;
	background-color: rgba(256, 256, 256, 0.5);
}

.bm-active {
	display: flex;
}

.blazor-modal {
	display: flex;
	flex-direction: column;
	width: auto;
	background-color: #fff;
	border-radius: 4px;
	border: 1px solid #fff;
	padding: 15px;
	z-index: 1004;
}

.bm-header {
	display: flex;
	align-items: flex-start;
	justify-content: space-between;
	padding: 0 0 1rem 0;
}

.bm-title {
	margin-bottom: 0;
}

.bm-close {
	padding: 1rem;
	margin: -1rem -1rem -1rem auto;
	background-color: transparent;
	border: 0;
	-webkit-appearance: none;
	cursor: pointer;
}
